---
title: RTCRtpSender.getParameters()
slug: Web/API/RTCRtpSender/getParameters
tags:
  - API
  - Audio
  - Method
  - RTCRtpSender
  - Reference
  - Video
  - WebRTC
  - WebRTC API
  - getParameters()
---
<p>{{DefaultAPISidebar("WebRTC")}}</p>

<p><span class="seoSummary">The <strong><code>getParameters()</code></strong> method of the {{domxref("RTCRtpSender")}} interface returns an {{domxref("RTCRtpSendParameters")}} object describing the current configuration for the encoding and transmission of media on the sender's {{domxref("RTCRtpSender.track", "track")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>rtpSendParameters</em> = <em>rtpSender</em>.getParameters()</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>An {{domxref("RTCRtpSendParameters")}} object indicating the current configuration of the sender.</p>

<h2 id="Examples">Examples</h2>

<p>This example gets the sender's current transaction ID; the transaction ID uniquely identifies the current set of parameters, to ensure that calls to {{domxref("RTCRtpSender.setParameters", "setParameters()")}} are always handled in the correct order, avoiding inadvertently overwriting parameters with older parameters.</p>

<pre class="brush: js notranslate">function getSenderTransactionID(sender) {
  let parameters = sender.getParameters();

  return parameters.transactionId;
}</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0','#dom-rtcrtpsender-getparameters','getParameters()')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCRtpSender.getParameters")}}</p>
